{% extends 'base.html.twig' %}

{% block body %}
    <div class="container my-4">
        <div class="row">
            <div class="col-4 col-md-4 mt-3 col-lg-4">
                <figure class="figure">
                    <a href="#" data-bs-toggle="modal" data-bs-target="#loadUnloadModal">
                        <img src="{{ asset('assets/images/unload.png') }}" class="img-fluid" alt="image">
                    </a>
                    <figcaption class="figure-caption text-center">
                        {% trans %}Load/unload food{% endtrans %}
                    </figcaption>
                </figure>
            </div>
            <div class="col-4 col-md-4 mt-3 col-lg-4">
                <figure class="figure">
                    <a href="{{ path('shopping_list_index') }}">
                        <img src="{{ asset('assets/images/shopping_list.png') }}" class="img-fluid" alt="image">
                    </a>
                    <figcaption class="figure-caption text-center">
                        {% trans %}Shopping list{% endtrans %}
                    </figcaption>
                </figure>
            </div>
            <div class="col-4 col-md-4 mt-3 col-lg-4">
                <figure class="figure">
                    <a href="{{ path('product_presence_sort',{'field': 'expiration','direction': 'ASC'}) }}">
                        <img src="{{ asset('assets/images/expired.png') }}" class="img-fluid" alt="image">
                    </a>
                    <figcaption class="figure-caption text-center">
                        {% trans %}Expired food{% endtrans %}
                    </figcaption>
                </figure>
            </div>
            <div class="col-6 col-md-4 mt-3 col-lg-6">
                <figure class="figure">
                    <a href="{{ path('product_presence_sort',{'field': 'expiration','direction': 'ASC'}) }}">
                        <img src="{{ asset('assets/images/play.png') }}" class="img-fluid" alt="image">
                    </a>
                    <figcaption class="figure-caption text-center">
                        {% trans %}All my food{% endtrans %}
                    </figcaption>
                </figure>
            </div>
            <div class="col-6 col-md-4 mt-3 col-lg-6">
                <figure class="figure">
                    <a href="{{ path('product_presence_sort',{'field': 'expiration','direction': 'ASC'}) }}">
                        <img src="{{ asset('assets/images/contribute.png') }}" class="img-fluid" alt="image">
                    </a>
                    <figcaption class="figure-caption text-center">
                        {% trans %}Manage products{% endtrans %}
                    </figcaption>
                </figure>
            </div>

        </div>
    </div>


    <div class="modal " id="loadUnloadModal" tabindex="-1" aria-labelledby="loadUnloadModal" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h1 class="modal-title fs-5" id="exampleModalLabel">{% trans %}Load/unload food{% endtrans %}</h1>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="d-grid gap-2">
                        <a href="{{ path('product_presence_new') }}" class="btn btn-primary">
                            <i class="bi bi-box-arrow-in-right"></i>
                            {% trans %}Load{% endtrans %}
                        </a>
                        <a href="#" class="btn btn-primary" id="btn-unload" data-bs-toggle="modal"
                           data-bs-target="#barcodeScannerModal">
                            <i class="bi bi-box-arrow-in-left"></i>
                            {% trans %}Unload{% endtrans %}
                        </a>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">
                        {% trans %}Close{% endtrans %}</button>
                </div>
            </div>
        </div>
    </div>


    <!-- Modal -->
    <div class="modal " id="barcodeScannerModal" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">{% trans %}Barcode scanner{% endtrans %}</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">

                    <div id="reader" width="600px"></div>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal" id="closeScanner">
                        {% trans %}Close{% endtrans %}
                    </button>
                </div>
            </div>
        </div>
    </div>
{% endblock %}

{% block javascripts %}
    {{ parent() }}
{% endblock %}




